package com.cmeeting.vo;

import lombok.Data;

import java.util.List;

/**
 * 会议纪要模板展示层
 */
/**
 * 会议纪要模板展示层
 */
@Data
public class CorpRecordsVO {

    private Integer totalCount;
    private Integer totalPage;
    private Integer currentPage;
    private Integer currentSize;
    private List<RecordMeeting> recordMeetings;

    @Data
    public class RecordMeeting {
        private String meetingRecordId;
        private String meetingId;
        private String meetingCode;
        private String userid;
        private String hostUserId;
        private Integer mediaStartTime;
        private String subject;
        private Integer state;
        private Integer recordType;
        private List<RecordFile> recordFiles;
    }

    @Data
    public class RecordFile {
        private String recordFileId;
        private Integer recordStartTime;
        private Integer recordEndTime;
        private Integer recordSize;
        private Integer sharingState;
        private String sharingUrl;
        private Boolean requiredSameCorp;
        private Boolean requiredParticipant;
        private Integer sharingExpire;
        private Boolean allowDownload;
        private String downloadAddress;
        private String viewAddress;
    }
}