package com.cmeeting.mapper.primary;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cmeeting.pojo.MeetingInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
public interface MeetingInfoMapper extends BaseMapper<MeetingInfo> {
    void batchInsert(@Param("meetingSaveList")List<MeetingInfo> meetingSaveList);

    List<String> getAllMeetingIds();

}