package com.cmeeting.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cmeeting.pojo.MeetingRecordTemplate;
import com.cmeeting.vo.RecordTemplateVO;
import org.springframework.web.multipart.MultipartFile;

public interface MeetingRecordTemplateService extends IService<MeetingRecordTemplate> {
    IPage<MeetingRecordTemplate> getPage(RecordTemplateVO vo);
    IPage<MeetingRecordTemplate> getPersonalPage(RecordTemplateVO vo);

    /**
     * 上传附件模板
     * @param file
     * @param id
     * @return
     */
    String templateUpload(MultipartFile file,Integer id);
}
