package com.cmeeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmeeting.pojo.MeetingInfo;
import com.cmeeting.pojo.WeComUser;

import java.util.List;
import java.util.Map;

public interface WeComService  extends IService<WeComUser> {

      void batchInsert(List<WeComUser> users);

      void doUsers() throws Exception;

      String getToken();

      List<WeComUser> noBindUsers();

      MeetingInfo createTempMeeting(String wid, String token);

      void cancelMeeting(String meetingId, String weComToken);

      /**
       * 绑定企微和腾会的人员关系
       */
      void userBind();
}
