package com.cmeeting.vo;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
;
import java.util.List;

/**
 * 会议纪要模板展示层
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class EmailPush {

    private String toEmail;
    private String subject;
    private String meetingId;

    /**
     * 附件
     */
    private List<Attachment> attachments;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @Builder
    public static class Attachment {
        private String name;
        private byte[] bytes;
    }
}