package com.cmeeting.vo;

import lombok.Data;

/**
 * 会议纪要模板展示层
 */
@Data
public class RecordTemplateVO {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 模板名称
     */
    private String name;
    
    /**
     * 模板类型（系统模板/自定义模板）
     */
    private String type;

    /**
     * 会议类型
     */
    private String meetingType;
    
    /**
     * 会议类型描述
     */
    private String typeDetail;

    /**
     * 当前页
     */
    private Integer current;

    /**
     * 每页最大数据行
     */
    private Integer size;
}